library shelf.shared;

import 'dart:async';
import 'dart:io';

class ShelfResponse {
  final int code;
  final Map<String, String> headers;
  final String body;

  ShelfResponse(this.code, this.headers, this.body);

  ShelfResponse.noop(Uri uri) :
    this.code = 404,
    this.headers = const {},
    this.body = 'Could not find a resource for "$uri"';

  String toString() => [code, headers, body].toString();
}

typedef dynamic ShelfHandler(HttpRequest request, Future<ShelfResponse> next());

