library test.shared;

import 'dart:io';

class RequestMock implements HttpRequest {
  final String _path;
  final String method;

  Uri get uri => new Uri(path: _path);

  const RequestMock({String path: '/', this.method: 'GET'})
      : _path = path;

  HttpConnectionInfo get connectionInfo => const HttpConnectionInfoMock();

  /*
   * Here to hide missing impl warnings
   */
  dynamic noSuchMethod(Invocation inv) => super.noSuchMethod(inv);
}

class HttpConnectionInfoMock implements HttpConnectionInfo {
  int get localPort => 1234;
  int get remotePort => 5678;
  InternetAddress get remoteAddress => InternetAddress.LOOPBACK_IP_V4;

  const HttpConnectionInfoMock();
}
